package jp.co.atmarkit.quiz.entity
{

[Bindable]
[RemoteClass(alias="jp.co.atmarkit.quiz.entity.Comment")]
/**
 * コメントテーブルに対応したエンティティ
 */
public class Comment {
    
    /** コメント */
    public var comment:String;

    /**
     * XMLからTCommentを生成する
     * 
     * @param xml 入力XML
     * @return TComment
     */
    public static function populate(xml:XML):Comment {
        var comment:Comment = new Comment();
        
        if(xml.comment) {
            comment.comment = String(xml.*[0]).replace(/\\n/g, "\n");
        }
        
        return comment;
    }
}
}