package jp.co.atmarkit.quiz.jdbc;

import java.util.List;

import jp.co.atmarkit.quiz.entity.Comment;

import org.seasar.extension.jdbc.JdbcManager;

/**
 * CommentテーブルのJDBCクラスです。
 */
public class CommentJdbc {
    
    /**
     * JDBCマネージャです。
     */
    public JdbcManager jdbcManager;

    /**
     * {@link Comment}テーブルのデータを全件取得します。
     * 
     * @return {@link Comment}
     */
    public List<Comment> getComment() {
        return jdbcManager.from(Comment.class).getResultList();
    }
}
